Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.ipc
Class DispatchingStrategy

    java.lang.Object
      ix.util.ipc.DispatchingStrategy

All Implemented Interfaces:
  IPC.CommunicationStrategy, ParameterizedCommStrategy

    public class DispatchingStrategy

extends java.lang.Object
implements ParameterizedCommStrategy

Nested Class Summary
`(package private) class` | `DispatchingStrategy.Strategy`
`(package private) class` | `DispatchingStrategy.StrategyComboBox` A combo-box for selecting communication strategies
`(package private) class` | `DispatchingStrategy.StrategyPanel`

Field Summary
`(package private) IXAgent` | `agent`
`(package private) DispatchingStrategy.Strategy` | `defaultStrategy`
`(package private) java.util.Map` | `destinationToStrategyMap`
`(package private) java.util.List` | `strategies`
`(package private) DispatchingStrategy.StrategyPanel` | `strategyPanel`

Constructor Summary
`DispatchingStrategy()`

Method Summary
`IPC.CommunicationStrategy` | `apply(java.lang.String[] args)` Process the arguments in whatever way is appropriate.
`(package private) DispatchingStrategy.Strategy` | `ensureStrategy(java.lang.Object destination)`
`(package private) DispatchingStrategy.Strategy` | `findStrategy(java.lang.String name)`
`(package private) java.util.Map` | `getDestinationToStrategyMap()`
`(package private) DispatchingStrategy.Strategy` | `getStrategy(java.lang.Object destination)`
`(package private) void` | `ispaceSetup()`
`void` | `sendObject(java.lang.Object destination, java.lang.Object contents)`
`(package private) void` | `setStrategy(java.lang.Object destination, DispatchingStrategy.Strategy s)`
`void` | `setupServer(java.lang.Object destination, IPC.MessageListener listener)`
`(package private) void` | `usingStrategy(java.lang.String agentName, DispatchingStrategy.Strategy s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### agent

    IXAgent agent

### strategyPanel

    DispatchingStrategy.StrategyPanel strategyPanel

### defaultStrategy

    DispatchingStrategy.Strategy defaultStrategy

### strategies

    java.util.List strategies

### destinationToStrategyMap

    java.util.Map destinationToStrategyMap

Constructor Detail

### DispatchingStrategy

    public DispatchingStrategy()

Method Detail

### apply

    public IPC.CommunicationStrategy apply(java.lang.String[] args)

  Description copied from interface: `ParameterizedCommStrategy`
  Process the arguments in whatever way is appropriate. The result is normally the same communication strategy, after whatever changes are caused by processing the arguments.

  Specified by:
    `apply` in interface `ParameterizedCommStrategy`

### sendObject

    public void sendObject(java.lang.Object destination,
                           java.lang.Object contents)

  Specified by:
    `sendObject` in interface `IPC.CommunicationStrategy`

### setupServer

    public void setupServer(java.lang.Object destination,
                            IPC.MessageListener listener)

  Specified by:
    `setupServer` in interface `IPC.CommunicationStrategy`

### getDestinationToStrategyMap

    java.util.Map getDestinationToStrategyMap()

### getStrategy

    DispatchingStrategy.Strategy getStrategy(java.lang.Object destination)

### setStrategy

    void setStrategy(java.lang.Object destination,
                     DispatchingStrategy.Strategy s)

### ensureStrategy

    DispatchingStrategy.Strategy ensureStrategy(java.lang.Object destination)

### findStrategy

    DispatchingStrategy.Strategy findStrategy(java.lang.String name)

### usingStrategy

    void usingStrategy(java.lang.String agentName,
                       DispatchingStrategy.Strategy s)

### ispaceSetup

    void ispaceSetup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD